Set to uninstall rofi as conflicts with rofi-wayland

This commit is contained in:
JaKooLit
2024-08-26 20:31:40 +09:00
parent 73938d8343
commit a177ed254f
2 changed files with 12 additions and 12 deletions

View File

@@ -71,10 +71,11 @@ vim
yt-dlp yt-dlp
) )
# List of packages to uninstall as it conflicts with swaync or causing swaync to not function properly # List of packages to uninstall as it conflicts with swaync and rofi-wayland
uninstall=( uninstall=(
dunst dunst
mako mako
rofi
) )
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ## ## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
@@ -90,6 +91,15 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_hypr-pkgs.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_hypr-pkgs.log"
# uninstalling conflicting packages
printf "\n%s - Removing Mako, Dunst and rofi-wayland as it conflicts with swaync and rofi-wayland \n" "${NOTE}"
for PKG in "${uninstall[@]}"; do
uninstall_package "$PKG" 2>&1 | tee -a "$LOG"
if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $PKG uninstallation failed, please check the log"
exit 1
fi
done
# Installation of main components # Installation of main components
printf "\n%s - Installing hyprland packages.... \n" "${NOTE}" printf "\n%s - Installing hyprland packages.... \n" "${NOTE}"
@@ -102,15 +112,5 @@ for PKG1 in "${hypr_package[@]}" "${hypr_package_2[@]}" "${Extra[@]}"; do
fi fi
done done
# Checking if mako or dunst is installed
printf "\n%s - Checking if mako or dunst are installed and removing for swaync to work properly \n" "${NOTE}"
for PKG in "${uninstall[@]}"; do
uninstall_package "$PKG" 2>&1 | tee -a "$LOG"
if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $PKG uninstallation failed, please check the log"
exit 1
fi
done
clear clear

View File

@@ -69,7 +69,7 @@ uninstall_package() {
if pacman -Qi "$1" &>> /dev/null ; then if pacman -Qi "$1" &>> /dev/null ; then
# Package is installed # Package is installed
echo -e "${NOTE} Uninstalling $1 ..." echo -e "${NOTE} Uninstalling $1 ..."
sudo pacman -Rns --noconfirm "$1" 2>&1 | tee -a "$LOG" sudo pacman -R --noconfirm "$1" 2>&1 | tee -a "$LOG"
# Making sure package is uninstalled # Making sure package is uninstalled
if ! pacman -Qi "$1" &>> /dev/null ; then if ! pacman -Qi "$1" &>> /dev/null ; then
echo -e "\e[1A\e[K${OK} $1 was uninstalled." echo -e "\e[1A\e[K${OK} $1 was uninstalled."